import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteLifecyclePolicyCommand, se_DeleteLifecyclePolicyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class DeleteLifecyclePolicyCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("imagebuilder", "DeleteLifecyclePolicy", {})
    .n("ImagebuilderClient", "DeleteLifecyclePolicyCommand")
    .f(void 0, void 0)
    .ser(se_DeleteLifecyclePolicyCommand)
    .de(de_DeleteLifecyclePolicyCommand)
    .build() {
}
