import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetImageRecipeCommand, se_GetImageRecipeCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetImageRecipeCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("imagebuilder", "GetImageRecipe", {})
    .n("ImagebuilderClient", "GetImageRecipeCommand")
    .f(void 0, void 0)
    .ser(se_GetImageRecipeCommand)
    .de(de_GetImageRecipeCommand)
    .build() {
}
