import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListImagePipelinesCommand, se_ListImagePipelinesCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListImagePipelinesCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("imagebuilder", "ListImagePipelines", {})
    .n("ImagebuilderClient", "ListImagePipelinesCommand")
    .f(void 0, void 0)
    .ser(se_ListImagePipelinesCommand)
    .de(de_ListImagePipelinesCommand)
    .build() {
}
