import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { CancelImageCreationCommandInput, CancelImageCreationCommandOutput } from "../commands/CancelImageCreationCommand";
import { CancelLifecycleExecutionCommandInput, CancelLifecycleExecutionCommandOutput } from "../commands/CancelLifecycleExecutionCommand";
import { CreateComponentCommandInput, CreateComponentCommandOutput } from "../commands/CreateComponentCommand";
import { CreateContainerRecipeCommandInput, CreateContainerRecipeCommandOutput } from "../commands/CreateContainerRecipeCommand";
import { CreateDistributionConfigurationCommandInput, CreateDistributionConfigurationCommandOutput } from "../commands/CreateDistributionConfigurationCommand";
import { CreateImageCommandInput, CreateImageCommandOutput } from "../commands/CreateImageCommand";
import { CreateImagePipelineCommandInput, CreateImagePipelineCommandOutput } from "../commands/CreateImagePipelineCommand";
import { CreateImageRecipeCommandInput, CreateImageRecipeCommandOutput } from "../commands/CreateImageRecipeCommand";
import { CreateInfrastructureConfigurationCommandInput, CreateInfrastructureConfigurationCommandOutput } from "../commands/CreateInfrastructureConfigurationCommand";
import { CreateLifecyclePolicyCommandInput, CreateLifecyclePolicyCommandOutput } from "../commands/CreateLifecyclePolicyCommand";
import { CreateWorkflowCommandInput, CreateWorkflowCommandOutput } from "../commands/CreateWorkflowCommand";
import { DeleteComponentCommandInput, DeleteComponentCommandOutput } from "../commands/DeleteComponentCommand";
import { DeleteContainerRecipeCommandInput, DeleteContainerRecipeCommandOutput } from "../commands/DeleteContainerRecipeCommand";
import { DeleteDistributionConfigurationCommandInput, DeleteDistributionConfigurationCommandOutput } from "../commands/DeleteDistributionConfigurationCommand";
import { DeleteImageCommandInput, DeleteImageCommandOutput } from "../commands/DeleteImageCommand";
import { DeleteImagePipelineCommandInput, DeleteImagePipelineCommandOutput } from "../commands/DeleteImagePipelineCommand";
import { DeleteImageRecipeCommandInput, DeleteImageRecipeCommandOutput } from "../commands/DeleteImageRecipeCommand";
import { DeleteInfrastructureConfigurationCommandInput, DeleteInfrastructureConfigurationCommandOutput } from "../commands/DeleteInfrastructureConfigurationCommand";
import { DeleteLifecyclePolicyCommandInput, DeleteLifecyclePolicyCommandOutput } from "../commands/DeleteLifecyclePolicyCommand";
import { DeleteWorkflowCommandInput, DeleteWorkflowCommandOutput } from "../commands/DeleteWorkflowCommand";
import { GetComponentCommandInput, GetComponentCommandOutput } from "../commands/GetComponentCommand";
import { GetComponentPolicyCommandInput, GetComponentPolicyCommandOutput } from "../commands/GetComponentPolicyCommand";
import { GetContainerRecipeCommandInput, GetContainerRecipeCommandOutput } from "../commands/GetContainerRecipeCommand";
import { GetContainerRecipePolicyCommandInput, GetContainerRecipePolicyCommandOutput } from "../commands/GetContainerRecipePolicyCommand";
import { GetDistributionConfigurationCommandInput, GetDistributionConfigurationCommandOutput } from "../commands/GetDistributionConfigurationCommand";
import { GetImageCommandInput, GetImageCommandOutput } from "../commands/GetImageCommand";
import { GetImagePipelineCommandInput, GetImagePipelineCommandOutput } from "../commands/GetImagePipelineCommand";
import { GetImagePolicyCommandInput, GetImagePolicyCommandOutput } from "../commands/GetImagePolicyCommand";
import { GetImageRecipeCommandInput, GetImageRecipeCommandOutput } from "../commands/GetImageRecipeCommand";
import { GetImageRecipePolicyCommandInput, GetImageRecipePolicyCommandOutput } from "../commands/GetImageRecipePolicyCommand";
import { GetInfrastructureConfigurationCommandInput, GetInfrastructureConfigurationCommandOutput } from "../commands/GetInfrastructureConfigurationCommand";
import { GetLifecycleExecutionCommandInput, GetLifecycleExecutionCommandOutput } from "../commands/GetLifecycleExecutionCommand";
import { GetLifecyclePolicyCommandInput, GetLifecyclePolicyCommandOutput } from "../commands/GetLifecyclePolicyCommand";
import { GetWorkflowCommandInput, GetWorkflowCommandOutput } from "../commands/GetWorkflowCommand";
import { GetWorkflowExecutionCommandInput, GetWorkflowExecutionCommandOutput } from "../commands/GetWorkflowExecutionCommand";
import { GetWorkflowStepExecutionCommandInput, GetWorkflowStepExecutionCommandOutput } from "../commands/GetWorkflowStepExecutionCommand";
import { ImportComponentCommandInput, ImportComponentCommandOutput } from "../commands/ImportComponentCommand";
import { ImportVmImageCommandInput, ImportVmImageCommandOutput } from "../commands/ImportVmImageCommand";
import { ListComponentBuildVersionsCommandInput, ListComponentBuildVersionsCommandOutput } from "../commands/ListComponentBuildVersionsCommand";
import { ListComponentsCommandInput, ListComponentsCommandOutput } from "../commands/ListComponentsCommand";
import { ListContainerRecipesCommandInput, ListContainerRecipesCommandOutput } from "../commands/ListContainerRecipesCommand";
import { ListDistributionConfigurationsCommandInput, ListDistributionConfigurationsCommandOutput } from "../commands/ListDistributionConfigurationsCommand";
import { ListImageBuildVersionsCommandInput, ListImageBuildVersionsCommandOutput } from "../commands/ListImageBuildVersionsCommand";
import { ListImagePackagesCommandInput, ListImagePackagesCommandOutput } from "../commands/ListImagePackagesCommand";
import { ListImagePipelineImagesCommandInput, ListImagePipelineImagesCommandOutput } from "../commands/ListImagePipelineImagesCommand";
import { ListImagePipelinesCommandInput, ListImagePipelinesCommandOutput } from "../commands/ListImagePipelinesCommand";
import { ListImageRecipesCommandInput, ListImageRecipesCommandOutput } from "../commands/ListImageRecipesCommand";
import { ListImageScanFindingAggregationsCommandInput, ListImageScanFindingAggregationsCommandOutput } from "../commands/ListImageScanFindingAggregationsCommand";
import { ListImageScanFindingsCommandInput, ListImageScanFindingsCommandOutput } from "../commands/ListImageScanFindingsCommand";
import { ListImagesCommandInput, ListImagesCommandOutput } from "../commands/ListImagesCommand";
import { ListInfrastructureConfigurationsCommandInput, ListInfrastructureConfigurationsCommandOutput } from "../commands/ListInfrastructureConfigurationsCommand";
import { ListLifecycleExecutionResourcesCommandInput, ListLifecycleExecutionResourcesCommandOutput } from "../commands/ListLifecycleExecutionResourcesCommand";
import { ListLifecycleExecutionsCommandInput, ListLifecycleExecutionsCommandOutput } from "../commands/ListLifecycleExecutionsCommand";
import { ListLifecyclePoliciesCommandInput, ListLifecyclePoliciesCommandOutput } from "../commands/ListLifecyclePoliciesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListWaitingWorkflowStepsCommandInput, ListWaitingWorkflowStepsCommandOutput } from "../commands/ListWaitingWorkflowStepsCommand";
import { ListWorkflowBuildVersionsCommandInput, ListWorkflowBuildVersionsCommandOutput } from "../commands/ListWorkflowBuildVersionsCommand";
import { ListWorkflowExecutionsCommandInput, ListWorkflowExecutionsCommandOutput } from "../commands/ListWorkflowExecutionsCommand";
import { ListWorkflowsCommandInput, ListWorkflowsCommandOutput } from "../commands/ListWorkflowsCommand";
import { ListWorkflowStepExecutionsCommandInput, ListWorkflowStepExecutionsCommandOutput } from "../commands/ListWorkflowStepExecutionsCommand";
import { PutComponentPolicyCommandInput, PutComponentPolicyCommandOutput } from "../commands/PutComponentPolicyCommand";
import { PutContainerRecipePolicyCommandInput, PutContainerRecipePolicyCommandOutput } from "../commands/PutContainerRecipePolicyCommand";
import { PutImagePolicyCommandInput, PutImagePolicyCommandOutput } from "../commands/PutImagePolicyCommand";
import { PutImageRecipePolicyCommandInput, PutImageRecipePolicyCommandOutput } from "../commands/PutImageRecipePolicyCommand";
import { SendWorkflowStepActionCommandInput, SendWorkflowStepActionCommandOutput } from "../commands/SendWorkflowStepActionCommand";
import { StartImagePipelineExecutionCommandInput, StartImagePipelineExecutionCommandOutput } from "../commands/StartImagePipelineExecutionCommand";
import { StartResourceStateUpdateCommandInput, StartResourceStateUpdateCommandOutput } from "../commands/StartResourceStateUpdateCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateDistributionConfigurationCommandInput, UpdateDistributionConfigurationCommandOutput } from "../commands/UpdateDistributionConfigurationCommand";
import { UpdateImagePipelineCommandInput, UpdateImagePipelineCommandOutput } from "../commands/UpdateImagePipelineCommand";
import { UpdateInfrastructureConfigurationCommandInput, UpdateInfrastructureConfigurationCommandOutput } from "../commands/UpdateInfrastructureConfigurationCommand";
import { UpdateLifecyclePolicyCommandInput, UpdateLifecyclePolicyCommandOutput } from "../commands/UpdateLifecyclePolicyCommand";
/**
 * serializeAws_restJson1CancelImageCreationCommand
 */
export declare const se_CancelImageCreationCommand: (input: CancelImageCreationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CancelLifecycleExecutionCommand
 */
export declare const se_CancelLifecycleExecutionCommand: (input: CancelLifecycleExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateComponentCommand
 */
export declare const se_CreateComponentCommand: (input: CreateComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateContainerRecipeCommand
 */
export declare const se_CreateContainerRecipeCommand: (input: CreateContainerRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateDistributionConfigurationCommand
 */
export declare const se_CreateDistributionConfigurationCommand: (input: CreateDistributionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateImageCommand
 */
export declare const se_CreateImageCommand: (input: CreateImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateImagePipelineCommand
 */
export declare const se_CreateImagePipelineCommand: (input: CreateImagePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateImageRecipeCommand
 */
export declare const se_CreateImageRecipeCommand: (input: CreateImageRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateInfrastructureConfigurationCommand
 */
export declare const se_CreateInfrastructureConfigurationCommand: (input: CreateInfrastructureConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateLifecyclePolicyCommand
 */
export declare const se_CreateLifecyclePolicyCommand: (input: CreateLifecyclePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateWorkflowCommand
 */
export declare const se_CreateWorkflowCommand: (input: CreateWorkflowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteComponentCommand
 */
export declare const se_DeleteComponentCommand: (input: DeleteComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteContainerRecipeCommand
 */
export declare const se_DeleteContainerRecipeCommand: (input: DeleteContainerRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteDistributionConfigurationCommand
 */
export declare const se_DeleteDistributionConfigurationCommand: (input: DeleteDistributionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteImageCommand
 */
export declare const se_DeleteImageCommand: (input: DeleteImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteImagePipelineCommand
 */
export declare const se_DeleteImagePipelineCommand: (input: DeleteImagePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteImageRecipeCommand
 */
export declare const se_DeleteImageRecipeCommand: (input: DeleteImageRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteInfrastructureConfigurationCommand
 */
export declare const se_DeleteInfrastructureConfigurationCommand: (input: DeleteInfrastructureConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteLifecyclePolicyCommand
 */
export declare const se_DeleteLifecyclePolicyCommand: (input: DeleteLifecyclePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteWorkflowCommand
 */
export declare const se_DeleteWorkflowCommand: (input: DeleteWorkflowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetComponentCommand
 */
export declare const se_GetComponentCommand: (input: GetComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetComponentPolicyCommand
 */
export declare const se_GetComponentPolicyCommand: (input: GetComponentPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetContainerRecipeCommand
 */
export declare const se_GetContainerRecipeCommand: (input: GetContainerRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetContainerRecipePolicyCommand
 */
export declare const se_GetContainerRecipePolicyCommand: (input: GetContainerRecipePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetDistributionConfigurationCommand
 */
export declare const se_GetDistributionConfigurationCommand: (input: GetDistributionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetImageCommand
 */
export declare const se_GetImageCommand: (input: GetImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetImagePipelineCommand
 */
export declare const se_GetImagePipelineCommand: (input: GetImagePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetImagePolicyCommand
 */
export declare const se_GetImagePolicyCommand: (input: GetImagePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetImageRecipeCommand
 */
export declare const se_GetImageRecipeCommand: (input: GetImageRecipeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetImageRecipePolicyCommand
 */
export declare const se_GetImageRecipePolicyCommand: (input: GetImageRecipePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetInfrastructureConfigurationCommand
 */
export declare const se_GetInfrastructureConfigurationCommand: (input: GetInfrastructureConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetLifecycleExecutionCommand
 */
export declare const se_GetLifecycleExecutionCommand: (input: GetLifecycleExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetLifecyclePolicyCommand
 */
export declare const se_GetLifecyclePolicyCommand: (input: GetLifecyclePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetWorkflowCommand
 */
export declare const se_GetWorkflowCommand: (input: GetWorkflowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetWorkflowExecutionCommand
 */
export declare const se_GetWorkflowExecutionCommand: (input: GetWorkflowExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetWorkflowStepExecutionCommand
 */
export declare const se_GetWorkflowStepExecutionCommand: (input: GetWorkflowStepExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ImportComponentCommand
 */
export declare const se_ImportComponentCommand: (input: ImportComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ImportVmImageCommand
 */
export declare const se_ImportVmImageCommand: (input: ImportVmImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListComponentBuildVersionsCommand
 */
export declare const se_ListComponentBuildVersionsCommand: (input: ListComponentBuildVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListComponentsCommand
 */
export declare const se_ListComponentsCommand: (input: ListComponentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListContainerRecipesCommand
 */
export declare const se_ListContainerRecipesCommand: (input: ListContainerRecipesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListDistributionConfigurationsCommand
 */
export declare const se_ListDistributionConfigurationsCommand: (input: ListDistributionConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImageBuildVersionsCommand
 */
export declare const se_ListImageBuildVersionsCommand: (input: ListImageBuildVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImagePackagesCommand
 */
export declare const se_ListImagePackagesCommand: (input: ListImagePackagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImagePipelineImagesCommand
 */
export declare const se_ListImagePipelineImagesCommand: (input: ListImagePipelineImagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImagePipelinesCommand
 */
export declare const se_ListImagePipelinesCommand: (input: ListImagePipelinesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImageRecipesCommand
 */
export declare const se_ListImageRecipesCommand: (input: ListImageRecipesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImagesCommand
 */
export declare const se_ListImagesCommand: (input: ListImagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImageScanFindingAggregationsCommand
 */
export declare const se_ListImageScanFindingAggregationsCommand: (input: ListImageScanFindingAggregationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListImageScanFindingsCommand
 */
export declare const se_ListImageScanFindingsCommand: (input: ListImageScanFindingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListInfrastructureConfigurationsCommand
 */
export declare const se_ListInfrastructureConfigurationsCommand: (input: ListInfrastructureConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListLifecycleExecutionResourcesCommand
 */
export declare const se_ListLifecycleExecutionResourcesCommand: (input: ListLifecycleExecutionResourcesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListLifecycleExecutionsCommand
 */
export declare const se_ListLifecycleExecutionsCommand: (input: ListLifecycleExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListLifecyclePoliciesCommand
 */
export declare const se_ListLifecyclePoliciesCommand: (input: ListLifecyclePoliciesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListWaitingWorkflowStepsCommand
 */
export declare const se_ListWaitingWorkflowStepsCommand: (input: ListWaitingWorkflowStepsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListWorkflowBuildVersionsCommand
 */
export declare const se_ListWorkflowBuildVersionsCommand: (input: ListWorkflowBuildVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListWorkflowExecutionsCommand
 */
export declare const se_ListWorkflowExecutionsCommand: (input: ListWorkflowExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListWorkflowsCommand
 */
export declare const se_ListWorkflowsCommand: (input: ListWorkflowsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListWorkflowStepExecutionsCommand
 */
export declare const se_ListWorkflowStepExecutionsCommand: (input: ListWorkflowStepExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutComponentPolicyCommand
 */
export declare const se_PutComponentPolicyCommand: (input: PutComponentPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutContainerRecipePolicyCommand
 */
export declare const se_PutContainerRecipePolicyCommand: (input: PutContainerRecipePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutImagePolicyCommand
 */
export declare const se_PutImagePolicyCommand: (input: PutImagePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutImageRecipePolicyCommand
 */
export declare const se_PutImageRecipePolicyCommand: (input: PutImageRecipePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SendWorkflowStepActionCommand
 */
export declare const se_SendWorkflowStepActionCommand: (input: SendWorkflowStepActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartImagePipelineExecutionCommand
 */
export declare const se_StartImagePipelineExecutionCommand: (input: StartImagePipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartResourceStateUpdateCommand
 */
export declare const se_StartResourceStateUpdateCommand: (input: StartResourceStateUpdateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateDistributionConfigurationCommand
 */
export declare const se_UpdateDistributionConfigurationCommand: (input: UpdateDistributionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateImagePipelineCommand
 */
export declare const se_UpdateImagePipelineCommand: (input: UpdateImagePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateInfrastructureConfigurationCommand
 */
export declare const se_UpdateInfrastructureConfigurationCommand: (input: UpdateInfrastructureConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateLifecyclePolicyCommand
 */
export declare const se_UpdateLifecyclePolicyCommand: (input: UpdateLifecyclePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1CancelImageCreationCommand
 */
export declare const de_CancelImageCreationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CancelImageCreationCommandOutput>;
/**
 * deserializeAws_restJson1CancelLifecycleExecutionCommand
 */
export declare const de_CancelLifecycleExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CancelLifecycleExecutionCommandOutput>;
/**
 * deserializeAws_restJson1CreateComponentCommand
 */
export declare const de_CreateComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateComponentCommandOutput>;
/**
 * deserializeAws_restJson1CreateContainerRecipeCommand
 */
export declare const de_CreateContainerRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateContainerRecipeCommandOutput>;
/**
 * deserializeAws_restJson1CreateDistributionConfigurationCommand
 */
export declare const de_CreateDistributionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDistributionConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1CreateImageCommand
 */
export declare const de_CreateImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImageCommandOutput>;
/**
 * deserializeAws_restJson1CreateImagePipelineCommand
 */
export declare const de_CreateImagePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImagePipelineCommandOutput>;
/**
 * deserializeAws_restJson1CreateImageRecipeCommand
 */
export declare const de_CreateImageRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImageRecipeCommandOutput>;
/**
 * deserializeAws_restJson1CreateInfrastructureConfigurationCommand
 */
export declare const de_CreateInfrastructureConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateInfrastructureConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1CreateLifecyclePolicyCommand
 */
export declare const de_CreateLifecyclePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLifecyclePolicyCommandOutput>;
/**
 * deserializeAws_restJson1CreateWorkflowCommand
 */
export declare const de_CreateWorkflowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateWorkflowCommandOutput>;
/**
 * deserializeAws_restJson1DeleteComponentCommand
 */
export declare const de_DeleteComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteComponentCommandOutput>;
/**
 * deserializeAws_restJson1DeleteContainerRecipeCommand
 */
export declare const de_DeleteContainerRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteContainerRecipeCommandOutput>;
/**
 * deserializeAws_restJson1DeleteDistributionConfigurationCommand
 */
export declare const de_DeleteDistributionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDistributionConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteImageCommand
 */
export declare const de_DeleteImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImageCommandOutput>;
/**
 * deserializeAws_restJson1DeleteImagePipelineCommand
 */
export declare const de_DeleteImagePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImagePipelineCommandOutput>;
/**
 * deserializeAws_restJson1DeleteImageRecipeCommand
 */
export declare const de_DeleteImageRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImageRecipeCommandOutput>;
/**
 * deserializeAws_restJson1DeleteInfrastructureConfigurationCommand
 */
export declare const de_DeleteInfrastructureConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteInfrastructureConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteLifecyclePolicyCommand
 */
export declare const de_DeleteLifecyclePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteLifecyclePolicyCommandOutput>;
/**
 * deserializeAws_restJson1DeleteWorkflowCommand
 */
export declare const de_DeleteWorkflowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteWorkflowCommandOutput>;
/**
 * deserializeAws_restJson1GetComponentCommand
 */
export declare const de_GetComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetComponentCommandOutput>;
/**
 * deserializeAws_restJson1GetComponentPolicyCommand
 */
export declare const de_GetComponentPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetComponentPolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetContainerRecipeCommand
 */
export declare const de_GetContainerRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetContainerRecipeCommandOutput>;
/**
 * deserializeAws_restJson1GetContainerRecipePolicyCommand
 */
export declare const de_GetContainerRecipePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetContainerRecipePolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetDistributionConfigurationCommand
 */
export declare const de_GetDistributionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDistributionConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetImageCommand
 */
export declare const de_GetImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImageCommandOutput>;
/**
 * deserializeAws_restJson1GetImagePipelineCommand
 */
export declare const de_GetImagePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImagePipelineCommandOutput>;
/**
 * deserializeAws_restJson1GetImagePolicyCommand
 */
export declare const de_GetImagePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImagePolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetImageRecipeCommand
 */
export declare const de_GetImageRecipeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImageRecipeCommandOutput>;
/**
 * deserializeAws_restJson1GetImageRecipePolicyCommand
 */
export declare const de_GetImageRecipePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImageRecipePolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetInfrastructureConfigurationCommand
 */
export declare const de_GetInfrastructureConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetInfrastructureConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetLifecycleExecutionCommand
 */
export declare const de_GetLifecycleExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetLifecycleExecutionCommandOutput>;
/**
 * deserializeAws_restJson1GetLifecyclePolicyCommand
 */
export declare const de_GetLifecyclePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetLifecyclePolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetWorkflowCommand
 */
export declare const de_GetWorkflowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetWorkflowCommandOutput>;
/**
 * deserializeAws_restJson1GetWorkflowExecutionCommand
 */
export declare const de_GetWorkflowExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetWorkflowExecutionCommandOutput>;
/**
 * deserializeAws_restJson1GetWorkflowStepExecutionCommand
 */
export declare const de_GetWorkflowStepExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetWorkflowStepExecutionCommandOutput>;
/**
 * deserializeAws_restJson1ImportComponentCommand
 */
export declare const de_ImportComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ImportComponentCommandOutput>;
/**
 * deserializeAws_restJson1ImportVmImageCommand
 */
export declare const de_ImportVmImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ImportVmImageCommandOutput>;
/**
 * deserializeAws_restJson1ListComponentBuildVersionsCommand
 */
export declare const de_ListComponentBuildVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListComponentBuildVersionsCommandOutput>;
/**
 * deserializeAws_restJson1ListComponentsCommand
 */
export declare const de_ListComponentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListComponentsCommandOutput>;
/**
 * deserializeAws_restJson1ListContainerRecipesCommand
 */
export declare const de_ListContainerRecipesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListContainerRecipesCommandOutput>;
/**
 * deserializeAws_restJson1ListDistributionConfigurationsCommand
 */
export declare const de_ListDistributionConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDistributionConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1ListImageBuildVersionsCommand
 */
export declare const de_ListImageBuildVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImageBuildVersionsCommandOutput>;
/**
 * deserializeAws_restJson1ListImagePackagesCommand
 */
export declare const de_ListImagePackagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImagePackagesCommandOutput>;
/**
 * deserializeAws_restJson1ListImagePipelineImagesCommand
 */
export declare const de_ListImagePipelineImagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImagePipelineImagesCommandOutput>;
/**
 * deserializeAws_restJson1ListImagePipelinesCommand
 */
export declare const de_ListImagePipelinesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImagePipelinesCommandOutput>;
/**
 * deserializeAws_restJson1ListImageRecipesCommand
 */
export declare const de_ListImageRecipesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImageRecipesCommandOutput>;
/**
 * deserializeAws_restJson1ListImagesCommand
 */
export declare const de_ListImagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImagesCommandOutput>;
/**
 * deserializeAws_restJson1ListImageScanFindingAggregationsCommand
 */
export declare const de_ListImageScanFindingAggregationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImageScanFindingAggregationsCommandOutput>;
/**
 * deserializeAws_restJson1ListImageScanFindingsCommand
 */
export declare const de_ListImageScanFindingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImageScanFindingsCommandOutput>;
/**
 * deserializeAws_restJson1ListInfrastructureConfigurationsCommand
 */
export declare const de_ListInfrastructureConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListInfrastructureConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1ListLifecycleExecutionResourcesCommand
 */
export declare const de_ListLifecycleExecutionResourcesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLifecycleExecutionResourcesCommandOutput>;
/**
 * deserializeAws_restJson1ListLifecycleExecutionsCommand
 */
export declare const de_ListLifecycleExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLifecycleExecutionsCommandOutput>;
/**
 * deserializeAws_restJson1ListLifecyclePoliciesCommand
 */
export declare const de_ListLifecyclePoliciesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLifecyclePoliciesCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1ListWaitingWorkflowStepsCommand
 */
export declare const de_ListWaitingWorkflowStepsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWaitingWorkflowStepsCommandOutput>;
/**
 * deserializeAws_restJson1ListWorkflowBuildVersionsCommand
 */
export declare const de_ListWorkflowBuildVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkflowBuildVersionsCommandOutput>;
/**
 * deserializeAws_restJson1ListWorkflowExecutionsCommand
 */
export declare const de_ListWorkflowExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkflowExecutionsCommandOutput>;
/**
 * deserializeAws_restJson1ListWorkflowsCommand
 */
export declare const de_ListWorkflowsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkflowsCommandOutput>;
/**
 * deserializeAws_restJson1ListWorkflowStepExecutionsCommand
 */
export declare const de_ListWorkflowStepExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkflowStepExecutionsCommandOutput>;
/**
 * deserializeAws_restJson1PutComponentPolicyCommand
 */
export declare const de_PutComponentPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutComponentPolicyCommandOutput>;
/**
 * deserializeAws_restJson1PutContainerRecipePolicyCommand
 */
export declare const de_PutContainerRecipePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutContainerRecipePolicyCommandOutput>;
/**
 * deserializeAws_restJson1PutImagePolicyCommand
 */
export declare const de_PutImagePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutImagePolicyCommandOutput>;
/**
 * deserializeAws_restJson1PutImageRecipePolicyCommand
 */
export declare const de_PutImageRecipePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutImageRecipePolicyCommandOutput>;
/**
 * deserializeAws_restJson1SendWorkflowStepActionCommand
 */
export declare const de_SendWorkflowStepActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendWorkflowStepActionCommandOutput>;
/**
 * deserializeAws_restJson1StartImagePipelineExecutionCommand
 */
export declare const de_StartImagePipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartImagePipelineExecutionCommandOutput>;
/**
 * deserializeAws_restJson1StartResourceStateUpdateCommand
 */
export declare const de_StartResourceStateUpdateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartResourceStateUpdateCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateDistributionConfigurationCommand
 */
export declare const de_UpdateDistributionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDistributionConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1UpdateImagePipelineCommand
 */
export declare const de_UpdateImagePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateImagePipelineCommandOutput>;
/**
 * deserializeAws_restJson1UpdateInfrastructureConfigurationCommand
 */
export declare const de_UpdateInfrastructureConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateInfrastructureConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1UpdateLifecyclePolicyCommand
 */
export declare const de_UpdateLifecyclePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateLifecyclePolicyCommandOutput>;
