import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListVpcEndpointsCommand, se_ListVpcEndpointsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListVpcEndpointsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonOpenSearchService", "ListVpcEndpoints", {})
    .n("OpenSearchClient", "ListVpcEndpointsCommand")
    .f(void 0, void 0)
    .ser(se_ListVpcEndpointsCommand)
    .de(de_ListVpcEndpointsCommand)
    .build() {
}
