import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { OpenSearchClientResolvedConfig } from "../OpenSearchClient";
export interface OpenSearchHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface OpenSearchHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    OpenSearchClientResolvedConfig,
    HandlerExecutionContext,
    OpenSearchHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultOpenSearchHttpAuthSchemeParametersProvider: (
  config: OpenSearchClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<OpenSearchHttpAuthSchemeParameters>;
export interface OpenSearchHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<OpenSearchHttpAuthSchemeParameters> {}
export declare const defaultOpenSearchHttpAuthSchemeProvider: OpenSearchHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: OpenSearchHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: OpenSearchHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
