import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AcceptInboundConnectionCommandInput,
  AcceptInboundConnectionCommandOutput,
} from "../commands/AcceptInboundConnectionCommand";
import {
  AddDataSourceCommandInput,
  AddDataSourceCommandOutput,
} from "../commands/AddDataSourceCommand";
import {
  AddTagsCommandInput,
  AddTagsCommandOutput,
} from "../commands/AddTagsCommand";
import {
  AssociatePackageCommandInput,
  AssociatePackageCommandOutput,
} from "../commands/AssociatePackageCommand";
import {
  AuthorizeVpcEndpointAccessCommandInput,
  AuthorizeVpcEndpointAccessCommandOutput,
} from "../commands/AuthorizeVpcEndpointAccessCommand";
import {
  CancelDomainConfigChangeCommandInput,
  CancelDomainConfigChangeCommandOutput,
} from "../commands/CancelDomainConfigChangeCommand";
import {
  CancelServiceSoftwareUpdateCommandInput,
  CancelServiceSoftwareUpdateCommandOutput,
} from "../commands/CancelServiceSoftwareUpdateCommand";
import {
  CreateDomainCommandInput,
  CreateDomainCommandOutput,
} from "../commands/CreateDomainCommand";
import {
  CreateOutboundConnectionCommandInput,
  CreateOutboundConnectionCommandOutput,
} from "../commands/CreateOutboundConnectionCommand";
import {
  CreatePackageCommandInput,
  CreatePackageCommandOutput,
} from "../commands/CreatePackageCommand";
import {
  CreateVpcEndpointCommandInput,
  CreateVpcEndpointCommandOutput,
} from "../commands/CreateVpcEndpointCommand";
import {
  DeleteDataSourceCommandInput,
  DeleteDataSourceCommandOutput,
} from "../commands/DeleteDataSourceCommand";
import {
  DeleteDomainCommandInput,
  DeleteDomainCommandOutput,
} from "../commands/DeleteDomainCommand";
import {
  DeleteInboundConnectionCommandInput,
  DeleteInboundConnectionCommandOutput,
} from "../commands/DeleteInboundConnectionCommand";
import {
  DeleteOutboundConnectionCommandInput,
  DeleteOutboundConnectionCommandOutput,
} from "../commands/DeleteOutboundConnectionCommand";
import {
  DeletePackageCommandInput,
  DeletePackageCommandOutput,
} from "../commands/DeletePackageCommand";
import {
  DeleteVpcEndpointCommandInput,
  DeleteVpcEndpointCommandOutput,
} from "../commands/DeleteVpcEndpointCommand";
import {
  DescribeDomainAutoTunesCommandInput,
  DescribeDomainAutoTunesCommandOutput,
} from "../commands/DescribeDomainAutoTunesCommand";
import {
  DescribeDomainChangeProgressCommandInput,
  DescribeDomainChangeProgressCommandOutput,
} from "../commands/DescribeDomainChangeProgressCommand";
import {
  DescribeDomainCommandInput,
  DescribeDomainCommandOutput,
} from "../commands/DescribeDomainCommand";
import {
  DescribeDomainConfigCommandInput,
  DescribeDomainConfigCommandOutput,
} from "../commands/DescribeDomainConfigCommand";
import {
  DescribeDomainHealthCommandInput,
  DescribeDomainHealthCommandOutput,
} from "../commands/DescribeDomainHealthCommand";
import {
  DescribeDomainNodesCommandInput,
  DescribeDomainNodesCommandOutput,
} from "../commands/DescribeDomainNodesCommand";
import {
  DescribeDomainsCommandInput,
  DescribeDomainsCommandOutput,
} from "../commands/DescribeDomainsCommand";
import {
  DescribeDryRunProgressCommandInput,
  DescribeDryRunProgressCommandOutput,
} from "../commands/DescribeDryRunProgressCommand";
import {
  DescribeInboundConnectionsCommandInput,
  DescribeInboundConnectionsCommandOutput,
} from "../commands/DescribeInboundConnectionsCommand";
import {
  DescribeInstanceTypeLimitsCommandInput,
  DescribeInstanceTypeLimitsCommandOutput,
} from "../commands/DescribeInstanceTypeLimitsCommand";
import {
  DescribeOutboundConnectionsCommandInput,
  DescribeOutboundConnectionsCommandOutput,
} from "../commands/DescribeOutboundConnectionsCommand";
import {
  DescribePackagesCommandInput,
  DescribePackagesCommandOutput,
} from "../commands/DescribePackagesCommand";
import {
  DescribeReservedInstanceOfferingsCommandInput,
  DescribeReservedInstanceOfferingsCommandOutput,
} from "../commands/DescribeReservedInstanceOfferingsCommand";
import {
  DescribeReservedInstancesCommandInput,
  DescribeReservedInstancesCommandOutput,
} from "../commands/DescribeReservedInstancesCommand";
import {
  DescribeVpcEndpointsCommandInput,
  DescribeVpcEndpointsCommandOutput,
} from "../commands/DescribeVpcEndpointsCommand";
import {
  DissociatePackageCommandInput,
  DissociatePackageCommandOutput,
} from "../commands/DissociatePackageCommand";
import {
  GetCompatibleVersionsCommandInput,
  GetCompatibleVersionsCommandOutput,
} from "../commands/GetCompatibleVersionsCommand";
import {
  GetDataSourceCommandInput,
  GetDataSourceCommandOutput,
} from "../commands/GetDataSourceCommand";
import {
  GetDomainMaintenanceStatusCommandInput,
  GetDomainMaintenanceStatusCommandOutput,
} from "../commands/GetDomainMaintenanceStatusCommand";
import {
  GetPackageVersionHistoryCommandInput,
  GetPackageVersionHistoryCommandOutput,
} from "../commands/GetPackageVersionHistoryCommand";
import {
  GetUpgradeHistoryCommandInput,
  GetUpgradeHistoryCommandOutput,
} from "../commands/GetUpgradeHistoryCommand";
import {
  GetUpgradeStatusCommandInput,
  GetUpgradeStatusCommandOutput,
} from "../commands/GetUpgradeStatusCommand";
import {
  ListDataSourcesCommandInput,
  ListDataSourcesCommandOutput,
} from "../commands/ListDataSourcesCommand";
import {
  ListDomainMaintenancesCommandInput,
  ListDomainMaintenancesCommandOutput,
} from "../commands/ListDomainMaintenancesCommand";
import {
  ListDomainNamesCommandInput,
  ListDomainNamesCommandOutput,
} from "../commands/ListDomainNamesCommand";
import {
  ListDomainsForPackageCommandInput,
  ListDomainsForPackageCommandOutput,
} from "../commands/ListDomainsForPackageCommand";
import {
  ListInstanceTypeDetailsCommandInput,
  ListInstanceTypeDetailsCommandOutput,
} from "../commands/ListInstanceTypeDetailsCommand";
import {
  ListPackagesForDomainCommandInput,
  ListPackagesForDomainCommandOutput,
} from "../commands/ListPackagesForDomainCommand";
import {
  ListScheduledActionsCommandInput,
  ListScheduledActionsCommandOutput,
} from "../commands/ListScheduledActionsCommand";
import {
  ListTagsCommandInput,
  ListTagsCommandOutput,
} from "../commands/ListTagsCommand";
import {
  ListVersionsCommandInput,
  ListVersionsCommandOutput,
} from "../commands/ListVersionsCommand";
import {
  ListVpcEndpointAccessCommandInput,
  ListVpcEndpointAccessCommandOutput,
} from "../commands/ListVpcEndpointAccessCommand";
import {
  ListVpcEndpointsCommandInput,
  ListVpcEndpointsCommandOutput,
} from "../commands/ListVpcEndpointsCommand";
import {
  ListVpcEndpointsForDomainCommandInput,
  ListVpcEndpointsForDomainCommandOutput,
} from "../commands/ListVpcEndpointsForDomainCommand";
import {
  PurchaseReservedInstanceOfferingCommandInput,
  PurchaseReservedInstanceOfferingCommandOutput,
} from "../commands/PurchaseReservedInstanceOfferingCommand";
import {
  RejectInboundConnectionCommandInput,
  RejectInboundConnectionCommandOutput,
} from "../commands/RejectInboundConnectionCommand";
import {
  RemoveTagsCommandInput,
  RemoveTagsCommandOutput,
} from "../commands/RemoveTagsCommand";
import {
  RevokeVpcEndpointAccessCommandInput,
  RevokeVpcEndpointAccessCommandOutput,
} from "../commands/RevokeVpcEndpointAccessCommand";
import {
  StartDomainMaintenanceCommandInput,
  StartDomainMaintenanceCommandOutput,
} from "../commands/StartDomainMaintenanceCommand";
import {
  StartServiceSoftwareUpdateCommandInput,
  StartServiceSoftwareUpdateCommandOutput,
} from "../commands/StartServiceSoftwareUpdateCommand";
import {
  UpdateDataSourceCommandInput,
  UpdateDataSourceCommandOutput,
} from "../commands/UpdateDataSourceCommand";
import {
  UpdateDomainConfigCommandInput,
  UpdateDomainConfigCommandOutput,
} from "../commands/UpdateDomainConfigCommand";
import {
  UpdatePackageCommandInput,
  UpdatePackageCommandOutput,
} from "../commands/UpdatePackageCommand";
import {
  UpdateScheduledActionCommandInput,
  UpdateScheduledActionCommandOutput,
} from "../commands/UpdateScheduledActionCommand";
import {
  UpdateVpcEndpointCommandInput,
  UpdateVpcEndpointCommandOutput,
} from "../commands/UpdateVpcEndpointCommand";
import {
  UpgradeDomainCommandInput,
  UpgradeDomainCommandOutput,
} from "../commands/UpgradeDomainCommand";
export declare const se_AcceptInboundConnectionCommand: (
  input: AcceptInboundConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AddDataSourceCommand: (
  input: AddDataSourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AddTagsCommand: (
  input: AddTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociatePackageCommand: (
  input: AssociatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AuthorizeVpcEndpointAccessCommand: (
  input: AuthorizeVpcEndpointAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelDomainConfigChangeCommand: (
  input: CancelDomainConfigChangeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelServiceSoftwareUpdateCommand: (
  input: CancelServiceSoftwareUpdateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDomainCommand: (
  input: CreateDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOutboundConnectionCommand: (
  input: CreateOutboundConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePackageCommand: (
  input: CreatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVpcEndpointCommand: (
  input: CreateVpcEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDataSourceCommand: (
  input: DeleteDataSourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDomainCommand: (
  input: DeleteDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteInboundConnectionCommand: (
  input: DeleteInboundConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOutboundConnectionCommand: (
  input: DeleteOutboundConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePackageCommand: (
  input: DeletePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVpcEndpointCommand: (
  input: DeleteVpcEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainCommand: (
  input: DescribeDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainAutoTunesCommand: (
  input: DescribeDomainAutoTunesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainChangeProgressCommand: (
  input: DescribeDomainChangeProgressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainConfigCommand: (
  input: DescribeDomainConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainHealthCommand: (
  input: DescribeDomainHealthCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainNodesCommand: (
  input: DescribeDomainNodesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainsCommand: (
  input: DescribeDomainsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDryRunProgressCommand: (
  input: DescribeDryRunProgressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInboundConnectionsCommand: (
  input: DescribeInboundConnectionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceTypeLimitsCommand: (
  input: DescribeInstanceTypeLimitsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOutboundConnectionsCommand: (
  input: DescribeOutboundConnectionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePackagesCommand: (
  input: DescribePackagesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReservedInstanceOfferingsCommand: (
  input: DescribeReservedInstanceOfferingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReservedInstancesCommand: (
  input: DescribeReservedInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeVpcEndpointsCommand: (
  input: DescribeVpcEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DissociatePackageCommand: (
  input: DissociatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCompatibleVersionsCommand: (
  input: GetCompatibleVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDataSourceCommand: (
  input: GetDataSourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDomainMaintenanceStatusCommand: (
  input: GetDomainMaintenanceStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageVersionHistoryCommand: (
  input: GetPackageVersionHistoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetUpgradeHistoryCommand: (
  input: GetUpgradeHistoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetUpgradeStatusCommand: (
  input: GetUpgradeStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDataSourcesCommand: (
  input: ListDataSourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainMaintenancesCommand: (
  input: ListDomainMaintenancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainNamesCommand: (
  input: ListDomainNamesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainsForPackageCommand: (
  input: ListDomainsForPackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInstanceTypeDetailsCommand: (
  input: ListInstanceTypeDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackagesForDomainCommand: (
  input: ListPackagesForDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListScheduledActionsCommand: (
  input: ListScheduledActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsCommand: (
  input: ListTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVersionsCommand: (
  input: ListVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVpcEndpointAccessCommand: (
  input: ListVpcEndpointAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVpcEndpointsCommand: (
  input: ListVpcEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVpcEndpointsForDomainCommand: (
  input: ListVpcEndpointsForDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PurchaseReservedInstanceOfferingCommand: (
  input: PurchaseReservedInstanceOfferingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RejectInboundConnectionCommand: (
  input: RejectInboundConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveTagsCommand: (
  input: RemoveTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RevokeVpcEndpointAccessCommand: (
  input: RevokeVpcEndpointAccessCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartDomainMaintenanceCommand: (
  input: StartDomainMaintenanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartServiceSoftwareUpdateCommand: (
  input: StartServiceSoftwareUpdateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDataSourceCommand: (
  input: UpdateDataSourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDomainConfigCommand: (
  input: UpdateDomainConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePackageCommand: (
  input: UpdatePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateScheduledActionCommand: (
  input: UpdateScheduledActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVpcEndpointCommand: (
  input: UpdateVpcEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpgradeDomainCommand: (
  input: UpgradeDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AcceptInboundConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AcceptInboundConnectionCommandOutput>;
export declare const de_AddDataSourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddDataSourceCommandOutput>;
export declare const de_AddTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddTagsCommandOutput>;
export declare const de_AssociatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePackageCommandOutput>;
export declare const de_AuthorizeVpcEndpointAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AuthorizeVpcEndpointAccessCommandOutput>;
export declare const de_CancelDomainConfigChangeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelDomainConfigChangeCommandOutput>;
export declare const de_CancelServiceSoftwareUpdateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelServiceSoftwareUpdateCommandOutput>;
export declare const de_CreateDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDomainCommandOutput>;
export declare const de_CreateOutboundConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOutboundConnectionCommandOutput>;
export declare const de_CreatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePackageCommandOutput>;
export declare const de_CreateVpcEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVpcEndpointCommandOutput>;
export declare const de_DeleteDataSourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDataSourceCommandOutput>;
export declare const de_DeleteDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDomainCommandOutput>;
export declare const de_DeleteInboundConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteInboundConnectionCommandOutput>;
export declare const de_DeleteOutboundConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOutboundConnectionCommandOutput>;
export declare const de_DeletePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePackageCommandOutput>;
export declare const de_DeleteVpcEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVpcEndpointCommandOutput>;
export declare const de_DescribeDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainCommandOutput>;
export declare const de_DescribeDomainAutoTunesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainAutoTunesCommandOutput>;
export declare const de_DescribeDomainChangeProgressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainChangeProgressCommandOutput>;
export declare const de_DescribeDomainConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainConfigCommandOutput>;
export declare const de_DescribeDomainHealthCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainHealthCommandOutput>;
export declare const de_DescribeDomainNodesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainNodesCommandOutput>;
export declare const de_DescribeDomainsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainsCommandOutput>;
export declare const de_DescribeDryRunProgressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDryRunProgressCommandOutput>;
export declare const de_DescribeInboundConnectionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInboundConnectionsCommandOutput>;
export declare const de_DescribeInstanceTypeLimitsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceTypeLimitsCommandOutput>;
export declare const de_DescribeOutboundConnectionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOutboundConnectionsCommandOutput>;
export declare const de_DescribePackagesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePackagesCommandOutput>;
export declare const de_DescribeReservedInstanceOfferingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedInstanceOfferingsCommandOutput>;
export declare const de_DescribeReservedInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReservedInstancesCommandOutput>;
export declare const de_DescribeVpcEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeVpcEndpointsCommandOutput>;
export declare const de_DissociatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DissociatePackageCommandOutput>;
export declare const de_GetCompatibleVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCompatibleVersionsCommandOutput>;
export declare const de_GetDataSourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDataSourceCommandOutput>;
export declare const de_GetDomainMaintenanceStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDomainMaintenanceStatusCommandOutput>;
export declare const de_GetPackageVersionHistoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPackageVersionHistoryCommandOutput>;
export declare const de_GetUpgradeHistoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUpgradeHistoryCommandOutput>;
export declare const de_GetUpgradeStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUpgradeStatusCommandOutput>;
export declare const de_ListDataSourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDataSourcesCommandOutput>;
export declare const de_ListDomainMaintenancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainMaintenancesCommandOutput>;
export declare const de_ListDomainNamesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainNamesCommandOutput>;
export declare const de_ListDomainsForPackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainsForPackageCommandOutput>;
export declare const de_ListInstanceTypeDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInstanceTypeDetailsCommandOutput>;
export declare const de_ListPackagesForDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackagesForDomainCommandOutput>;
export declare const de_ListScheduledActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListScheduledActionsCommandOutput>;
export declare const de_ListTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsCommandOutput>;
export declare const de_ListVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVersionsCommandOutput>;
export declare const de_ListVpcEndpointAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVpcEndpointAccessCommandOutput>;
export declare const de_ListVpcEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVpcEndpointsCommandOutput>;
export declare const de_ListVpcEndpointsForDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVpcEndpointsForDomainCommandOutput>;
export declare const de_PurchaseReservedInstanceOfferingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PurchaseReservedInstanceOfferingCommandOutput>;
export declare const de_RejectInboundConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RejectInboundConnectionCommandOutput>;
export declare const de_RemoveTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveTagsCommandOutput>;
export declare const de_RevokeVpcEndpointAccessCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RevokeVpcEndpointAccessCommandOutput>;
export declare const de_StartDomainMaintenanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDomainMaintenanceCommandOutput>;
export declare const de_StartServiceSoftwareUpdateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartServiceSoftwareUpdateCommandOutput>;
export declare const de_UpdateDataSourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDataSourceCommandOutput>;
export declare const de_UpdateDomainConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDomainConfigCommandOutput>;
export declare const de_UpdatePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePackageCommandOutput>;
export declare const de_UpdateScheduledActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateScheduledActionCommandOutput>;
export declare const de_UpdateVpcEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVpcEndpointCommandOutput>;
export declare const de_UpgradeDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpgradeDomainCommandOutput>;
